#!/usr/bin/env groovy

node {
    stage('checkout') {
        checkout scm
        def pom = readMavenPom file: 'pom.xml'
        if (pom){
            echo "Building version ${pom.version}"
        }
        sh "chmod +x ./mvnw"
    }
    stage('Build') {
        parallel 'Build': {
            withEnv(["PATH+jdk=${tool 'Java 11'}/bin"]) {
                sh "./mvnw package -DskipTests"
                archiveArtifacts artifacts: '**/target/*.*'
                }
        }, 'Hello World': {
            echo 'Hello World!!!'
        }
    }
    stage('Unit-Tests') {
        withEnv(["PATH+jdk=${tool 'Java 11'}/bin"]) {
            if (!env.SKIP_TESTS) {
                sh "./mvnw test"
            }
        }
    }
    stage('SonarQube') {
        withEnv(["PATH+jdk=${tool 'Java 11'}/bin"]) {
            sh "./mvnw verify org.sonarsource.scanner.maven:sonar-maven-plugin:sonar -Dsonar.projectKey=arthur.ruby_jenkinsproject -Dsonar.login=${env.SONAR_TOKEN2}"
        }
    }
}
